
--[[ Use Addon Wide Data Table ]]--
local addonName,addonData = ...

--[[ Handle the addons Events ]]--
local function onEvent()
	if event == "ADDON_LOADED" then
        if arg1 == "Details" then
			LoadAddOn( "Details" );
        elseif arg1 == addonName then
            if not addon.nUILoaded then
                LoadAddOn("Details")
            end
            addon.DetailsLoaded = IsAddOnLoaded("Details")
            addon:OnAddonLoaded()
		end
        addon.DetailsLoaded = IsAddOnLoaded("Details")
		addon.OnAddonLoaded(nil)
	end	
end

--[[ Set Up the Event Script ]]--
local eventWatcher = CreateFrame("Frame")
eventWatcher:SetScript( "OnEvent", onEvent );
eventWatcher:RegisterEvent( "ADDON_LOADED" );
